//------------------------------------------------------------------------------
//
//  Thing Without A Name 2
//
//  Author: Bonsai (mail: bonsai@b0n541.net)
//
//  Copyright: GNU General Public License 
//
//------------------------------------------------------------------------------

#include "textures.inc"
#include "colors.inc"

camera
        {
        location <5, 5, -5>
        look_at <0, 0, 0>
        }

light_source 
        {
        <0, 10, -10>,
        color White
        }

plane 
        {
        y, -5
        pigment 
                {
                color White
                }
        }   
        
#declare strahl =
        blob
                {        
                threshold 1
                
                #declare i = 0;
        
                #while (i < 150)
                        sphere
                                {
                                <0,0,0>, 0.25-(i/750), 1
                                scale <1, 4, 1>
                                translate y*-3
                                rotate <i, 0, 10*sin(i/5)>          
                                }
                        #declare i = i + 0.1;
                #end     
                }

#declare strahlenkranz =
        intersection
                {
                merge
                        {
                        #declare i = 0;

                        #while (i < 360)
                                object
                                        {
                                        strahl
                                        rotate <0, i, 0>
                                        }
                                #declare i = i + 20;        
                        #end
                        }

                difference
                        {
                        sphere
                                {
                                <0, 0, 0>, 3.05
                                }
                
                        sphere
                                {
                                <0, 0, 0>, 2.95
                                }
                        }             
                }

union
        {
        
        object
                {
                strahlenkranz
                texture
                        {
                        Aluminum
                        } 
                }
        
        sphere
                {
                <0, 0, 0>, 2.95
                texture
                        {
                        pigment
                                {
                                color rgb <1, 1, 1>
                                }
                        
                        finish
                                {
                                reflection 0.5
                                }
                        }
                }
        }